; Configuration file for Duet WiFi (firmware version 1.17)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool on Mon Sep 18 2017 23:51:32 GMT-0700 (Pacific Daylight Time)

; General preferences
M111 S0 ; Debugging off
G21 ; Work in mm
G90 ; Send absolute coordinates...
M83 ; ...but relative extruder moves
M555 P1 ; Set firmware compatibility to look like RepRapFirmare
M584 X0 Y1 U6 Z2:5 E3:4
M208 X0 U0 Y-12 Z0 S1 ; Set axis minima
M208 X115 U115 Y166 Z120 S0 ; Set axis maxima

; Endstops
M574 Z0 S0 ; Define active low and unused microswitches
M574 X1 U1 Y1 S1 ; Define active high microswitches
M558 P5 X0 Y0 Z1 H5 F120 T12000 ; Set Z probe type to unmodulated, the axes for which it is used and the probe + travel speeds
G31 P600 X0 Y0 Z13.1; Set Z probe trigger value, offset and trigger height basically the thickness of FSR
;M557 X5:120 Y5:120 S15 ; Define mesh grid

; Drives
M569 P0 S1 ; Drive 0 goes forwards X
M569 P1 S1 ; Drive 1 goes forwards Y
M569 P2 S0 ; Drive 2 goes forwards Z
M569 P3 S1 ; Drive 3 goes forwards extruder T0
M569 P4 S1 ; Drive 4 goes forwards extruder T1
M569 P5 S0 ; Drive 5 goes forwards Ux
M569 P6 S0 ; Drive 6 goes forwards Uz

M350 X16 U16 Y16 Z16 E16:16 I1 ; Configure microstepping with interpolation
M92 X100 U100 Y80 Z1200 E410.89:410.89 ; Set steps per mm
M566 X1200 U1200 Y1200 Z60 E1200:1200 ; Set maximum instantaneous speed changes (mm/min)
M203 X15000 U15000 Y15000 Z180 E6000:6000 ; Set maximum speeds (mm/min)
M201 X2500 U2500 Y1500 Z250 E1000:1000 ; Set accelerations (mm/s^2)
M906 X950 U950 Y1000 Z1200 E700:700 I60 ; Set motor currents (mA) and motor idle factor in per cent 950 for y
M84 S30 ; Set idle timeout

; Heaters
M143 S260 ; Set maximum heater temperature to 260C
M305 P0 T100000 B4725 C7.06e-8 R4700 ; Set thermistor + ADC parameters for heater 0
M305 P1 T100000 B4725 C7.06e-8 R4700 ; Set thermistor + ADC parameters for heater 1
M305 P2 T100000 B4725 C7.06e-8 R4700 ; Set thermistor + ADC parameters for heater 2
M307 H0 A275.6 C96 D2 V24.2 B0 ;      PID autotuning H0
M307 H1 A428.8 C243.9 D5.0 V24.2 B0 ; PID autotuning H1
M307 H2 A420.0 C246.5 D4.6 V24.2 B0 ; PID autotuning H2

; Tools
M563 P0 D0 H1 F0; Define tool 0 Heater1 Cooling Fan0
G10 P0 X0 Y0 Z0 ; Set tool 0 axis offsets
G10 P0 R0 S0 ; Set initial tool 0 active 0c and standby temperatures to 0C
M563 P1 D1 H2 X3 F3; Define tool 1 use Heater2 Cooling Fan3
G10 P1 Y-44.01 U-1.8 Z0 ; Set tool 1 axis offsets
G10 P1 R0 S0 ; Set initial tool 1 active 0c and standby temperatures to 0C

; Network
M550 Pzidex ; Set machine name
M551 Pzidexwifi ; Set password
M552 S1 ; Enable network

M586 P0 S1 ; Enable HTTP
M586 P1 S0 ; Disable FTP
M586 P2 S0 ; Disable Telnet

; Fans
M106 P1 T35 H1 ; Set fan 1 on when hotend 45c .Thermostatic control is turned on for heater 1
M106 P2 T35 H2 ; Set fan 2 on when hotend 45c .Thermostatic control is turned on for heater 2

; Custom settings are not configured

